{
  "name": "@edx/frontend-build",
  "version": "1.0.0-semantically-released",
  "description": "Build tools, setup and config for frontend apps",
  "publishConfig": {
    "access": "public"
  },
  "main": "index.js",
  "bin": {
    "fedx-scripts": "./bin/fedx-scripts.js"
  },
  "scripts": {
    "lint": "eslint . --no-eslintrc -c .eslintrc.js",
    "test": "bash ./smoke-test.sh"
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/openedx/frontend-build.git"
  },
  "keywords": [],
  "author": "edX",
  "license": "AGPL-3.0",
  "bugs": {
    "url": "https://github.com/openedx/frontend-build/issues"
  },
  "homepage": "https://github.com/openedx/frontend-build#readme",
  "dependencies": {
    "@babel/cli": "7.21.5",
    "@babel/core": "7.21.8",
    "@babel/eslint-parser": "7.21.8",
    "@babel/plugin-proposal-class-properties": "7.18.6",
    "@babel/plugin-proposal-object-rest-spread": "7.20.7",
    "@babel/plugin-syntax-dynamic-import": "7.8.3",
    "@babel/preset-env": "7.21.5",
    "@babel/preset-react": "7.18.6",
    "@edx/eslint-config": "3.2.0",
    "@edx/new-relic-source-map-webpack-plugin": "2.0.0",
    "@fullhuman/postcss-purgecss": "^5.0.0",
    "@pmmmwh/react-refresh-webpack-plugin": "0.5.10",
    "@svgr/webpack": "7.0.0",
    "autoprefixer": "10.4.14",
    "babel-jest": "26.6.3",
    "babel-loader": "9.1.2",
    "babel-plugin-react-intl": "7.9.4",
    "babel-plugin-transform-imports": "2.0.0",
    "babel-polyfill": "6.26.0",
    "clean-webpack-plugin": "4.0.0",
    "css-loader": "5.2.7",
    "cssnano": "6.0.1",
    "dotenv": "8.6.0",
    "dotenv-webpack": "8.0.1",
    "eslint": "8.39.0",
    "eslint-config-airbnb": "19.0.4",
    "eslint-plugin-import": "2.27.5",
    "eslint-plugin-jsx-a11y": "6.7.1",
    "eslint-plugin-react": "7.32.2",
    "eslint-plugin-react-hooks": "4.6.0",
    "file-loader": "6.2.0",
    "html-webpack-plugin": "5.5.1",
    "identity-obj-proxy": "3.0.0",
    "image-minimizer-webpack-plugin": "3.8.2",
    "jest": "26.6.3",
    "mini-css-extract-plugin": "1.6.2",
    "postcss": "8.4.23",
    "postcss-custom-media": "^9.1.2",
    "postcss-loader": "7.3.0",
    "postcss-rtlcss": "4.0.6",
    "react-dev-utils": "12.0.1",
    "react-refresh": "0.14.0",
    "resolve-url-loader": "5.0.0",
    "sass": "1.62.1",
    "sass-loader": "12.6.0",
    "sharp": "^0.32.0",
    "source-map-loader": "^4.0.1",
    "style-loader": "3.3.2",
    "url-loader": "4.1.1",
    "webpack": "5.82.0",
    "webpack-bundle-analyzer": "4.8.0",
    "webpack-cli": "5.0.2",
    "webpack-dev-server": "4.13.3",
    "webpack-merge": "5.8.0"
  },
  "devDependencies": {
    "@babel/preset-typescript": "^7.18.6",
    "@types/react": "^17.0.0",
    "@types/react-dom": "^17.0.11",
    "typescript": "^5.0.0"
  },
  "peerDependencies": {
    "react": "^16.9.0 || ^17.0.0"
  }
}
